### Method

# GLib String append_printf

#### Declaration

    void
    g_string_append_printf (
      GString* string,
      const gchar* format,
      ...
    )

#### Description

Appends a formatted string onto the end of a `GString`. This function is similar to `g_string_printf()` except that the text is appended to the `GString`.

This method is not directly available to language bindings.

#### Parameters

`format`

  Type: `const gchar*`

  The string format. See the `printf()` documentation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  The parameters to insert into the format string.